effect give @a saturation 20 0 true
effect give @a resistance 1 5 true

#Spawn Boats & Dream Recording#
execute if score ufospawn counter matches 1.. run scoreboard players remove ufospawn counter 1
execute if block -2659 86 46 minecraft:polished_blackstone_button[powered=true] unless score ufospawn counter matches 1.. run function edd:dream/ufo/ufospawn

#Respawn Boats#
tag @a remove restart
tag @a[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ticket:23b}}}] add restart
scoreboard players remove @a[scores={restartcool=1..}] restartcool 1
execute as @a[tag=restart,scores={shoot=1..}] unless entity @s[scores={restartcool=1..}] at @s run function edd:dream/ufo/restart

#Race#
    #Points#
tag @e[type=area_effect_cloud,tag=point,x_rotation=-90] add rotdown
tag @e[type=area_effect_cloud,tag=point,x_rotation=-90] remove rotup
tag @e[type=area_effect_cloud,tag=point,x_rotation=90] add rotup
tag @e[type=area_effect_cloud,tag=point,x_rotation=90] remove rotdown
execute as @e[type=area_effect_cloud,tag=point,tag=rotup] at @s run teleport @s ~ ~ ~ ~ ~-10
execute as @e[type=area_effect_cloud,tag=point,tag=rotdown] at @s run teleport @s ~ ~ ~ ~ ~10
    #Particles#
execute as @e[type=area_effect_cloud,tag=point] at @s run function edd:dream/ufo/particles
execute if score racestart counter matches 1 as @e[type=area_effect_cloud,tag=point,scores={point=1}] at @s run particle flame ^ ^ ^3 0 0 0 1 0 force
execute if score racestart counter matches 1 as @e[type=area_effect_cloud,tag=point,scores={point=24}] at @s run particle flame ^ ^ ^3 0 0 0 1 0 force
execute if score racestart counter matches 1 as @e[type=area_effect_cloud,tag=point,scores={point=1}] at @s run particle flame ^ ^ ^-3 0 0 0 1 0 force
execute if score racestart counter matches 1 as @e[type=area_effect_cloud,tag=point,scores={point=24}] at @s run particle flame ^ ^ ^-3 0 0 0 1 0 force
    #Progression#
execute as @a[scores={point=13}] at @s if entity @e[type=area_effect_cloud,tag=point,distance=..2.5,limit=1,sort=nearest,scores={point=13}] run function edd:dream/ufo/clock
execute as @a[scores={point=1}] at @s if entity @e[type=area_effect_cloud,tag=point,distance=..2.5,limit=1,sort=nearest,scores={point=1}] run function edd:dream/ufo/start
execute as @a at @s if entity @e[type=area_effect_cloud,tag=point,distance=..2.5] if score @s point = @e[type=area_effect_cloud,tag=point,distance=..2.5,limit=1,sort=nearest] point run function edd:dream/ufo/nextpoint
    #Win#
execute as @a[scores={point=25}] at @s run function edd:dream/ufo/win
    #Time#
execute if score racestart counter matches 1 run scoreboard players add @a racesecond 1
execute if score racestart counter matches 1 as @a[scores={racesecond=20..,racetime=1..}] run scoreboard players remove @s racetime 1
execute if score racestart counter matches 1 as @a[scores={racesecond=20..}] run scoreboard players set @s racesecond 0
execute as @a[scores={racetime=0}] at @s run function edd:dream/ufo/lose
execute if score racestart counter matches 1 as @a[scores={racetime=0..}] run title @s actionbar ["",{"text":"Time Remaining: ","color":"red"},{"score":{"name":"@s","objective":"racetime"},"color":"gold"}]
    #Pointer#
execute as @a at @s if data entity @s[tag=rider] RootVehicle if score @s point matches 2..24 run function edd:dream/ufo/pointer


#Mind Piece#
execute as @a[nbt={Inventory:[{id:"minecraft:warped_fungus_on_a_stick",tag:{ticket:6b}}]}] at @s if entity @e[type=armor_stand,tag=ufo,tag=ted,distance=..3] run function edd:dream/ufo/nextstage